Download it now!
Bug 104765 - Base doesn't work under OS X
Summary: Base doesn't work under OS X
Status: RESOLVED DUPLICATE of bug 94716
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-19 00:58 UTC by cte39794
Modified: 2016-12-21 12:20 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cte39794 2016-12-19 00:58:39 UTC
Here's the transcript of your chat with Apple Support:

Sunday, Dec 18, 2016 06:30 PM
Duration 74 minutes 18 seconds

Jermeca

Thanks for contacting Apple Support. My name is Jermeca. Please give me a moment to look over your information.


Jermeca

Hi Larry, hope all is well! ๐Ÿ˜Š How can I help you today?


cte39794@centurytel.net

I use LibreOffice.  About once a year, I use the database.  It won't work because it appears there is a dependency on Java 6 runtime.


cte39794@centurytel.net

I tried the Apple Java 6 download, but it doesn't provide the JRE.


cte39794@centurytel.net

I tried the Oracle Java 8 JRE.  It doesn't work.


cte39794@centurytel.net

Any suggestions?


Jermeca

Ok, so just to clarify, you are having issues with running LibreOffice because it runs on Java 6 only. You have tried the Java 6 download that we provide here: Java but it did not work as well as updating to the latest Have version and that did not work either, is that correct? Also what version of OS X are you currently on?


Jermeca

Java 6


Jermeca

Sorry about that!


cte39794@centurytel.net

You've got the problem that I'm having while using OS X 10.12.2.


Jermeca

Got it! Thank you for clarifying your issue for me. I do know how important it is for you to have your device working properly for you I will be more than happy to assist ๐Ÿ‘


Jermeca

So whatโ€™s going on is that Java 6 does not work on Os X Sierra because it is the newest software and runs the newest version of Java, which is Java 8. Java 6 is only compatible with OS X 10.11 El Capitan, OS X 10.10 Yosemite, OS X 10.9 Mavericks, OS X 10.8 Mountain Lion, and OS X 10.7 Lion. Does the software you are trying to use possibly have an available update so that it can run on Java 8?


cte39794@centurytel.net

The current (Java 8) runtime works with LibreOffice operating in Windows or Linux.  This appears to be problem with OS X not supporting Java runtime.


cte39794@centurytel.net

I understand the security reasons for that decision, but what am I to do for a work around?


cte39794@centurytel.net

I am on the most recent stable version of LibreOffice on all systems.


Jermeca

Alright, so let me go ahead and reach out to a senior advisor here to see what can be done. Just one moment please ๐Ÿ˜Š


Jermeca

Thank you for that moment Larry. So it looks like there is a short wait for a senior advisor here, about 10-12 minutes. Iโ€™m so sorry about that. While we wait, I will be researching this issue here to see if I can get a little more information and I will keep you updated. Is that ok?


cte39794@centurytel.net

Sure, I've been searching for 2 days now.  We can even terminate the chat to resume at a later date.  The only work around I've found so far is, "Stop trying to migrate the data to OS X and keep this one application on the old Windows system."  I'd hoped for a more satisfactory end.


Jermeca

I definitely do understand for sure. One thing here, when you try to open the program, does it quit at launch?


cte39794@centurytel.net

With no JRE, it asks for one...and ends when none is provided.  With Java 8 JRE, it crashes when a table open is attempted.  I should note that the writer and spreadsheet applications do not demonstrate the Java dependency.


Jermeca

Gotcha! So yes, weโ€™ll have to get you on the line with a senior advisor with this issue here. If you did not have time to continue, we can definitely schedule a callback for you or if you have time, we can continue. I have someone on the line now, they are just reviewing your case.


cte39794@centurytel.net

The history of this beast looks like Apple noted (properly) security holes in Java and declined support.  Oracle responded by ending (retroactively) downloads.  LibreOffice is freely supported software that still works on "the majority".  I'm, apparently, stuck in the middle.


Jermeca

No problem at all. Thank you for that information. I did just speak with the Senior Advisor ho reviewed your case here. They did advise that you would need to reach to for support from the developers of the program for additional assistance here since that program is relying on a Java to operated properly.


cte39794@centurytel.net

Then my workaround is what you suggest.  You have no database alternatives or JRE 6 resources?


Jermeca

Yes and no we do not have any JRE resources or alternatives for that particular program. So sorry abut that Larry.


Jermeca

Are you still there?


cte39794@centurytel.net

OK.  I'm disappointed.


Jermeca

Iโ€™m so sorry about that Larry. I wish there was more that I could do here. I can assure you that the developer of the software will be able to assist further, as they should have proper resources for the product that they develop and run.


cte39794@centurytel.net

No, they do provide a generally full featured office suite.  The only alternative I know about is MS Office.  Both run on Windows clean with current components.  I'm trying to move to OS X.  It doesn't work.  I'm disappointed.


Jermeca

No problem at all. I definitely wish there was more that I could do for you. If you would like another opinion on that, I can definitely have a senior advisor to give you a direct call to speak with you. Is that something that you would like to do?


cte39794@centurytel.net

No, nothing more to say.  Sad to note Apple/Oracle spat spoils products.  Sad to note no small integrated database is available for MAC.  Sad to note my work around is Microsoft but I love my MacBook.


cte39794@centurytel.net

Thanks for your efforts!


Jermeca

You are more than welcome Larry ๐Ÿ˜Š It has been a pleasure assisting you today. If youโ€™re ready, I will go ahead and end our session. You will see an option to receive our chat transcript so that you can refer back to what we have discussed if needed. Please keep an eye on your email for the next 24 hours as we may send some information relevant to the conversation we had today. Should you need any more assistance, we are here 7 days a week. Have a great day!



Sincerely,
Apple Support
Comment 1 Alex Thurgood 2016-12-19 08:16:24 UTC
@cte39794 : 
First, please indicate which "latest version" of LibreOffice you are using.

Second, as you don't mention which version of LibreOffice you are using, this is almost certainly a duplicate of bug of either bug 94716 or bug 101956 - given that you are on Sierra, I'm plumping for bug 94716.

*** This bug has been marked as a duplicate of bug 94716 ***
Comment 2 cte39794 2016-12-19 14:48:40 UTC
LO 5.1.6.2

I'm not a coder.  Bug 94716 says this problem is fixed, but in the message tangle, I do not see a plain English fix.  I am certain that, on my LibreOffice 5.1.6.2, OS X Sierra Mac Book with no Java installed or Java 6 installed or Java 8 installed, the symptoms persist.
Comment 3 Alex Thurgood 2016-12-19 17:55:28 UTC
You don't have to be a coder, but you do have to install an Oracle JDK. Not a JRE.

Bug 94716 deals with the fact that Apple's obsolete Java6 had been dropped from further security updates, and Oracle's JRE had a bug in it that made it impossible for LO to instantiate a JVM, so one of the developers from NeoOffice provided a patch that made LO work again, provided that the user had installed an Oracle JDK.

That's the current solution. It works on my various OSX machines, and has done for a while. If you also want to install Apple's old JavaforOSX, it is still available for download from Apple's website, but that will only be of any use to you for LibreOffice versions older than 5.x.

Once you have installed an Oracle JDK, you might have to force LO to look for it in the Advanced settings entry under Preferences, or indicate the system folder in which it is found in case LO can't find it on its own (there have been reports that sometimes it is not automatically detected).

You will additionally have to remember to check on Oracle's website from time to time to see if security updates have been released for the JDK as there is no automatic update mechanism for JDKs in contrast to Oracle's JRE downloads.
Comment 4 cte39794 2016-12-19 18:52:40 UTC
I did that and, while creating a new base, still get the message:

"The connection to the data source "New Database22" could not be established.

The connection to the external source could not be established.  No SBDC driver was found for the URL 'sdbc:embedded:hsqldb'."

My response to that, honed over the past several days, is to quit LO base.  Then, reopen LO home, LibreOffice>Preferences>Advanced, check the "Use a Java runtime environment.", mark "Oracle Corporation 1.8.0_111", and "OK".  I then Quit LO and start anew to create a new base.

Now we have:

"LibreOffice Document Recovery

Due to an unexpected error, LibreOffice crashed.  All the files you were working on will now be saved.  The next time LibreOffice is launched, your files will be recovered automatically.

The following files will be recovered:"

I "OK".

Response is:

"LibreOffice Document Recovery

Press 'Start Recovery' to start the recovery process of the documents listed below.
Press 'Discard Recovery Data' to abandon attempting recovery of these documents.
The 'Status' column shows whether the document can be recovered.

Recovering document:

Status of recovered documents:
Document Name                     Status
New Database3                     Not Recovered Yet"

I 'Start Recovery'.

Now:

"LibreOffice Document Recovery

Recovery of your documents was finished.
Click 'Finish' to see your documents.

Recovering document:

Status of recovered documents:
Document Name                     Status
New Database3.ODB                 Successfully recovered"

I 'Finish'.

LO base screen for New Database 3 appears. I click on Tables.

"LibreOffice Document Recovery

Due to an unexpected error, LibreOffice crashed.  All the files you were working on will now be saved.  The next time LibreOffice is launched, your files will be recovered automatically.

The following files will be recovered:
New Database 3.odb"

I click OK.

"LibreOffice Document Recovery

Press 'Start Recovery' to start the recovery process of the documents listed below.
Press 'Discard Recovery Data' to abandon attempting recovery of these documents.
The 'Status' column shows whether the document can be recovered.

Recovering document:

Status of recovered documents:
Document Name                     Status
New Database3                     Not Recovered Yet"

I 'Start Recovery'.

Now:

"LibreOffice Document Recovery

Recovery of your documents was finished.
Click 'Finish' to see your documents.

Recovering document:

Status of recovered documents:
Document Name                     Status
New Database3.ODB                 Successfully recovered"

I 'Finish'.

Back to base LO screen for New Database3.ODB.  Click Tables...crash LO...begin recovery again.

There must be more if this is "fixed".
Comment 5 Alex Thurgood 2016-12-21 12:17:48 UTC
You are using LO5162 - this is known to cause that behaviour, see bug 103719 - unfortunately, a critical regression sneaked into that release - as the 5.1.x branch is now obsolete, it won't ever be fixed.

Please update your LO version to the current Fresh release 5233.
Comment 6 Alex Thurgood 2016-12-21 12:19:13 UTC
I suggest you also read bug 103939, which is a duplicate of bug 103719 but possibly contains complementary information as to why the crashes are happening in LO 5162.
Comment 7 Alex Thurgood 2016-12-21 12:20:52 UTC
If you don't want to move to 5233, then uninstall 5162 and re-install the previous 5.1.5 version, where that particular crashing bug shouldn't occur.